Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

cannot compile - catkin vs. ros-melodic on ubuntu 18.04

Hi, I know that this issue is partially redundant but after days of research I cannot find any suitabel answer:

I am usung odroid C2 on Ubuntu 18.04 (3.16.65.39) from hardkernel and I am trying to compile https://github.com/robotpilot/myahrs_driver.git

When I install ros melodic exactly like described (http://wiki.ros.org/melodic/Installation/Ubuntu) I cannot "cd ~/catkin_ws && catkin_make" because there is no catkin installed! (When it was workingly installed beforehand, it gets removed by the ros-meldoc installation.

1.)When I try to (re)install catkin then by "sudo apt install catkin" I get the following error message: Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. The following information my help to resolve the situation: The following packages have unmet dependencies: catkin: Depends: python-catkin-pkg but it is not going to be installed E: Unable to correct problems, you have held broken packages.

2.) de- and reinstalling python-catkin-pkg does not change anything

3.) ros-melodic-desktop-full obviously fully depends on ros-melodic-catkin which depends on python-catkin-pkg and python-catkin-pkg-modules. The last two conflict with catkin. So how to catkin myahrs_driver?

4.) when I try to cmake /home/user/catkin_ws/src/myahrs_driver -DATKIN_DEVEL_PREFIX=/home/user/catkin_ws/devel -DCMAHE_INSTALL_PREFIX=/home/user/catkin_ws/install -G "Unix Makefiles" i get hte following error message:

CMake Error at CMakeLists.txt: (10) (find_package): By not providing "Findcatkin.cmake" in CMAKE_MODULE_PATH this project has asked CMake to fing a package configuration file proviede by "cartkin", but CMake di not find one. Could not find a package configuration file provided by "catkin" with any of the following names: catkinConfig.cmake catkin-config.cmake

Add the installation prefix of "catkin" to CMAKE_PREFIX_PATH or set "catkin_DIR" ro a diorectory containing on of the above files. If "catkin" provides a separate development package or SDK. be sure it has beenb installed. --Configuring incomplete, errors occured!

5.) entering "qtcreator" and checking CMakeLists.txt from my ~catkin_ws/src directory containing "git clone https://github.com/robotpilot/myahrs_driver.git" i find:

find_packages(CATKIN REQUIRED COMPONENTS roscpp std_msgs sensort_msgs tf )

Please help. Is there a possibility for your to up your compiled driver.pkg for melodic, so that I can avoid this catkin issue?

peter

cannot compile - catkin vs. ros-melodic on ubuntu 18.04

Hi, I know that this issue is partially redundant but after days of research I cannot find any suitabel answer:

I am usung odroid C2 on Ubuntu 18.04 (3.16.65.39) from hardkernel and I am trying to compile https://github.com/robotpilot/myahrs_driver.git

When I install ros melodic exactly like described (http://wiki.ros.org/melodic/Installation/Ubuntu) I cannot "cd ~/catkin_ws && catkin_make" because there is no catkin installed! (When it was workingly installed beforehand, it gets removed by the ros-meldoc installation.

1.)When I try to (re)install catkin then by "sudo by sudo apt install catkin" catkin, I get the following error message: message:

Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. The following information my help to resolve the situation:
The following packages have unmet dependencies:
catkin: Depends: python-catkin-pkg but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

packages.

2.) de- and reinstalling python-catkin-pkg does not change anything

3.) ros-melodic-desktop-full obviously fully depends on ros-melodic-catkin which depends on python-catkin-pkg and python-catkin-pkg-modules. The last two conflict with catkin. So how to catkin myahrs_driver?

4.) when I try to

cmake /home/user/catkin_ws/src/myahrs_driver -DATKIN_DEVEL_PREFIX=/home/user/catkin_ws/devel -DCMAHE_INSTALL_PREFIX=/home/user/catkin_ws/install -G "Unix Makefiles" Makefiles"

i get hte following error message:

CMake Error at CMakeLists.txt: (10) (find_package):
By not providing "Findcatkin.cmake" in CMAKE_MODULE_PATH this project has asked CMake to fing a package configuration file proviede by "cartkin", but CMake di not find one.
Could not find a package configuration file provided by "catkin" with any of the following names:
catkinConfig.cmake
catkin-config.cmake

catkin-config.cmake Add the installation prefix of "catkin" to CMAKE_PREFIX_PATH or set "catkin_DIR" ro a diorectory containing on of the above files. If "catkin" provides a separate development package or SDK. be sure it has beenb installed. --Configuring incomplete, errors occured!

occured!

5.) entering "qtcreator" and checking CMakeLists.txt from my ~catkin_ws/src directory containing "git clone https://github.com/robotpilot/myahrs_driver.git" i find:

find_packages(CATKIN REQUIRED COMPONENTS
  roscpp
  std_msgs
  sensort_msgs
  tf
)

)

Please help. Is there a possibility for your to up your compiled driver.pkg for melodic, so that I can avoid this catkin issue?

peter

cannot compile - catkin vs. ros-melodic on ubuntu 18.04

Hi, I know that this issue is partially redundant but after days of research I cannot find any suitabel answer:

I am usung odroid C2 on Ubuntu 18.04 (3.16.65.39) from hardkernel and I am trying to compile https://github.com/robotpilot/myahrs_driver.git

When I install ros melodic exactly like described (http://wiki.ros.org/melodic/Installation/Ubuntu) I cannot "cd ~/catkin_ws && catkin_make" because there is no catkin installed! (When it was workingly installed beforehand, it gets removed by the ros-meldoc installation.

1.)When I try to (re)install catkin then by sudo apt install catkin, I get the following error message:

Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. The following information my help to resolve the situation:
The following packages have unmet dependencies:
catkin: Depends: python-catkin-pkg but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

2.) de- and reinstalling python-catkin-pkg does not change anything

3.) ros-melodic-desktop-full obviously fully depends on ros-melodic-catkin which depends on python-catkin-pkg and python-catkin-pkg-modules. The last two conflict with catkin. So how to catkin myahrs_driver?

4.) when I try to

cmake /home/user/catkin_ws/src/myahrs_driver -DATKIN_DEVEL_PREFIX=/home/user/catkin_ws/devel -DCMAHE_INSTALL_PREFIX=/home/user/catkin_ws/install -G "Unix Makefiles"

i get hte following error message:

CMake Error at CMakeLists.txt: (10) (find_package):
By not providing "Findcatkin.cmake" in CMAKE_MODULE_PATH this project has asked CMake to fing a package configuration file proviede by "cartkin", but CMake di not find one.
Could not find a package configuration file provided by "catkin" with any of the following names:
catkinConfig.cmake
catkin-config.cmake

Add the installation prefix of "catkin" to CMAKE_PREFIX_PATH or set "catkin_DIR" ro a diorectory containing on of the above files. If "catkin" provides a separate development package or SDK. be sure it has beenb installed.
--Configuring incomplete, errors occured!

5.) entering "qtcreator" and checking CMakeLists.txt from my ~catkin_ws/src directory containing "git clone https://github.com/robotpilot/myahrs_driver.git" i find:

find_packages(CATKIN REQUIRED COMPONENTS
  roscpp
  std_msgs
  sensort_msgs
  tf
)

Please help. Is there a possibility for your to up your compiled driver.pkg for melodic, so that I can avoid this catkin issue?

peter

cannot compile - catkin vs. ros-melodic on ubuntu 18.04

Hi, I know that this issue is partially redundant but after days of research I cannot find any suitabel answer:

I am usung odroid C2 on Ubuntu 18.04 (3.16.65.39) from hardkernel and I am trying to compile https://github.com/robotpilot/myahrs_driver.git

When I install ros melodic exactly like described (http://wiki.ros.org/melodic/Installation/Ubuntu) I cannot "cd ~/catkin_ws && catkin_make" because there is no catkin installed! (When it was workingly installed beforehand, it gets removed by the ros-meldoc installation.

1.)When I try to (re)install catkin then by sudo apt install catkin, I get the following error message:

Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. The following information my help to resolve the situation:
The following packages have unmet dependencies:
catkin: Depends: python-catkin-pkg but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

2.) de- and reinstalling python-catkin-pkg does not change anything

3.) ros-melodic-desktop-full obviously fully depends on ros-melodic-catkin which depends on python-catkin-pkg and python-catkin-pkg-modules. The last two conflict with catkin. So how to catkin myahrs_driver?

4.) when I try to

cmake /home/user/catkin_ws/src/myahrs_driver -DATKIN_DEVEL_PREFIX=/home/user/catkin_ws/devel -DCMAHE_INSTALL_PREFIX=/home/user/catkin_ws/install -G "Unix Makefiles"

i get hte following error message:

CMake Error at CMakeLists.txt: (10) (find_package):
By not providing "Findcatkin.cmake" in CMAKE_MODULE_PATH this project has asked CMake to fing a package configuration file proviede by "cartkin", but CMake di not find one.
Could not find a package configuration file provided by "catkin" with any of the following names:
catkinConfig.cmake
catkin-config.cmake

Add the installation prefix of "catkin" to CMAKE_PREFIX_PATH or set "catkin_DIR" ro a diorectory containing on of the above files. If "catkin" provides a separate development package or SDK. be sure it has beenb installed.
--Configuring incomplete, errors occured!

5.) entering "qtcreator" and checking CMakeLists.txt from my ~catkin_ws/src directory containing "git clone https://github.com/robotpilot/myahrs_driver.git" i find:

find_packages(CATKIN REQUIRED COMPONENTS
  roscpp
  std_msgs
  sensort_msgs
  tf
)

Please help. Is there a possibility for your to up your compiled driver.pkg for melodic, so that I can avoid this catkin issue?

peter


Edit: @gvdhoorn: Sorry, I just tried what you suggested - if I got you right:

1.) got new plain ubuntu 18.04 image - and started from scratch,

2.) got ros-melodic-desktop-full installed without errors and

3.) sudo apt install git

4.) installed NOT catkin !

5.) "mkdir catkin_ws && cd catkin_ws" (empty)

6.) "mkdir src && cd src" then

7.) "git clone https://github.com/robotpilot/myahrs_driver.git"

8.) "cd && cd catkin_ws"

9.) cmake /home/~/catkin_ws/src/myahrs_driver -DATKIN_DEVEL_PREFIX=/home/~/catkin_ws/devel -DCMAKE_INSTALL_PREFIX=/home/~/catkin_ws/install -G "Unix Makefiles"

with the same error message like above again:

CMake Error at CMakeLists.txt: (10) (find_package):
By not providing "Findcatkin.cmake" in CMAKE_MODULE_PATH this project has asked CMake to fing a package configuration file proviede by "cartkin", but CMake di not find one.
Could not find a package configuration file provided by "catkin" with any of the following names:
catkinConfig.cmake
catkin-config.cmake

Add the installation prefix of "catkin" to CMAKE_PREFIX_PATH or set "catkin_DIR" ro a diorectory containing on of the above files. If "catkin" provides a separate development package or SDK. be sure it has beenb installed.
--Configuring incomplete, errors occured!